# Import Class Reference

`#include <import.h>`

Inheritance diagram for Import:

List of all members.

## Public Member Functions

| ~Import ()
virtual bool | set_param (const synfig::String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual synfig::ValueBase | get_param (const synfig::String &param) const
| Get the value of the specified parameter.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.
virtual void | on_canvas_set ()
virtual void | set_time (synfig::Context context, synfig::Time time) const
| Sets the time for the selected Layer and those under it.
virtual void | set_time (synfig::Context context, synfig::Time time, const synfig::Point &point) const
| Sets the time for the selected Layer and those under it for a specific point.

## Protected Member Functions

| Import ()

## Constructor & Destructor Documentation

Import::Import | ( |  | ) | `[protected]`

Import::~Import | ( |  | ) |

## Member Function Documentation

bool Import::set_param | ( | const synfig::String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer_Composite.

References _, synfig::Surface::clear(), synfig::error(), synfig::ValueBase::get(), synfig::Layer::get_canvas(), synfig::Layer_Bitmap::height, IMPORT, synfig::info(), synfig::Layer_Bitmap::left, synfig::ValueBase::same_type_as(), synfig::Layer_Composite::set_amount(), synfig::Layer_Bitmap::surface, synfig::Layer_Bitmap::top, synfig::Layer_Bitmap::trimmed, synfig::warning(), and synfig::Layer_Bitmap::width.

Referenced by on_canvas_set().

ValueBase Import::get_param | ( | const synfig::String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer_Bitmap.

References EXPORT, EXPORT_NAME, EXPORT_VERSION, and synfig::Layer::get_canvas().

Layer::Vocab Import::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer_Bitmap.

References _, and synfig::Layer::set_description().

void Import::on_canvas_set | ( |  | ) | `[virtual]`

Reimplemented from synfig::Layer.

References synfig::Layer::get_canvas(), and set_param().

void Import::set_time | ( | synfig::Context | context,
|  | synfig::Time | time |
| ) |  |  | const`[virtual]`

Sets the time for the selected Layer and those under it.

Parameters:

  | context | Context iterator referring to next Layer.
  | time | writeme

See also:
  Handle::set_time()

Reimplemented from synfig::Layer.

References synfig::Layer_Composite::get_amount(), synfig::Layer_Bitmap::height, synfig::Layer_Bitmap::left, synfig::Context::set_time(), synfig::Layer_Bitmap::surface, synfig::Layer_Bitmap::top, synfig::Layer_Bitmap::trimmed, and synfig::Layer_Bitmap::width.

void Import::set_time | ( | synfig::Context | context,
|  | synfig::Time | time,
|  | const synfig::Point & | point |
| ) |  |  | const`[virtual]`

Sets the time for the selected Layer and those under it for a specific point.

Parameters:

  | context | Context iterator referring to next Layer.
  | time | writeme
  | point | writeme

See also:
  Handle::set_time()

Todo:
  point should be of the type `const Point &`

Reimplemented from synfig::Layer.

References synfig::Layer_Composite::get_amount(), synfig::Layer_Bitmap::height, synfig::Layer_Bitmap::left, synfig::Context::set_time(), synfig::Layer_Bitmap::surface, synfig::Layer_Bitmap::top, synfig::Layer_Bitmap::trimmed, and synfig::Layer_Bitmap::width.

The documentation for this class was generated from the following files:

- import.h
- import.cpp